Page MenuHomePhabricator

HTTP ERROR 500 when trying to create schema
Closed, DeclinedPublic

Description

I get following errors when I try to create schema for a category:
[Fri Dec 08 15:27:47.228977 2017] [:error] [pid 7112] [client localhost:61486] PHP Fatal error: Call to undefined method Article::doEdit() in /var/www/mediawiki-1.29.1/extensions/PageSchemas/specials/PS_EditSchema.php on line 681, referer: http://localhost/index.php?title=Category:Testing_pageschemas&action=editschema
[Fri Dec 08 15:31:52.673528 2017] [:error] [pid 6874] [client localhost:61645] PHP Fatal error: Call to undefined method Article::getContent() in /var/www/mediawiki-1.29.1/extensions/PageSchemas/specials/PS_EditSchema.php on line 665, referer: http://localhost/index.php?title=Category:Testing_pageschemas&action=editschema

I am running following:

Product Version
MediaWiki 1.29.1
PHP 5.6.32 (apache2handler)
MariaDB 5.5.56-MariaDB

Semantic extensions
Extension Version License Description Authors
Semantic Drilldown 2.0.2 (c21c93d) 03:13, 4 November 2017 GPL-2.0+ A drilldown interface for navigating through semantic data Yaron Koren and others
Semantic MediaWiki 2.5.5 GPL-2.0+ Making your wiki more accessible - for machines and humans (online documentation) Markus Krötzsch, Jeroen De Dauw, James Hong Kong and others
SemanticDependencyUpdater 1.3.0 Monitors semantic data changes and updates dependend pages Simon Heimler, Alexander Gesinn and Remco C. de Boer
Special pages
Extension Version License Description Authors
Access Control Panel 1.1.1 Control access rights of custom defined groups Aleksandar Bojinovic, Peter Kin-Fong Fong
CiteThisPage – GPL-2.0+ Adds a citation special page and toolbox link Ævar Arnfjörð Bjarmason and James D. Forrester
Nuke 1.3.0 (5a1d3c4) 21:40, 23 April 2017 GPL-2.0+ Gives administrators the ability to mass delete pages Brion Vibber and Jeroen De Dauw
Page Forms 4.2 (2b911f2) 19:05, 15 November 2017 GPL-2.0+ Forms for creating and editing wiki pages Yaron Koren, Stephan Gambke and others
Parser hooks
Extension Version License Description Authors
Cite – GPL-2.0+ Adds <ref[ name=id]> and <references/> tags, for citations Ævar Arnfjörð Bjarmason, Andrew Garrett, Brion Vibber, Ed Sanders, Marius Hoch, Steve Sanbeg, Trevor Parscal and others
InputBox 0.3.0 MIT Allow inclusion of predefined HTML forms Erik Moeller, Leonardo Pimenta, Rob Church, Trevor Parscal and DaSch
MsUpload 12.0 (a77b492) 21:55, 10 April 2017 GPL-2.0+ Enables easy uploads for one file or multiple files simultaneously Martin Schwindl, Martin Keyler and Luis Felipe Schenone
Page Schemas 0.4.6 License Defines the data structure for all pages in a category using XML Yaron Koren, Ankit Garg and others
ParserFunctions 1.6.0 GPL-2.0+ Enhance parser with logical functions Tim Starling, Robert Rohde, Ross McClure and Juraj Simlovic
SyntaxHighlight 2.0 GPL-2.0+ Provides syntax highlighting <syntaxhighlight> using Pygments - Python syntax highlighter Brion Vibber, Tim Starling, Rob Church, Niklas Laxström, Ori Livneh and Ed Sanders
Media handlers
Extension Version License Description Authors
PDF Handler – GPL-2.0+ Handler for viewing PDF files in image mode. Martin Seidel and Mike Połtyn
Spam prevention
Extension Version License Description Authors
ConfirmEdit 1.5.0 GPL-2.0+ Provides CAPTCHA techniques to protect against spam and password-guessing Brion Vibber, Florian Schmidt, Sam Reed and others
Other
Extension Version License Description Authors
Auth_remoteuser 2.0.0 (4efb62f) 04:50, 12 June 2017 GPL-2.0+ Automatically logs-in users using the REMOTE_USER environment variable Otheus Shelling, Rusty Burchfield, James Kinsman, Daniel Thomas, Ian Ward Comfort, Mark A. Hershberger and Stefan Engelhardt
DataValues Validators 0.1.2 GPL-2.0+ Contains common ValueValidator implementations Jeroen De Dauw and The Wikidata team
DeletePagesForGood 2.0 (3a423fc) 17:37, 3 March 2017 GPL-2.0+ Allows users to delete pages permanently from database by adding a new delete tab to each page. Paladox
Gadgets – GPL-2.0+ Lets users select custom CSS and JavaScript gadgets in their preferences Daniel Kinzler and Max Semenik
ParserHooks 1.5.0 GPL-2.0+ OOP interface for creating MediaWiki parser hooks in a declarative fashion Jeroen De Dauw
WikiEditor 0.5.0 GPL-2.0+ Provides an extendable wikitext editing interface and many feature-providing modules Derk-Jan Hartman, Trevor Parscal, Roan Kattouw, Nimish Gautam and Adam Miller
WYSIWYG editor Wysiwyg 1.5.6_0 [B551+09.02.2017], CKEditor 4.5.9 (revision a35abfe) GPL-2.0 Provides a WYSIWYG editing interface by using CKeditor. Mediawiki community of WYSIWYG and Ontoprise GmbH

Event Timeline

Patrezp created this task.Dec 8 2017, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2017, 3:38 PM
Patrezp closed this task as Resolved.Dec 8 2017, 4:20 PM
Patrezp claimed this task.

I just downloaded master as I was using old release. It is fixed in master

Aklapper changed the task status from Resolved to Declined.Dec 8 2017, 6:05 PM